// Interface of the CPA_Meca_ControlView class
/////////////////////////////////////////////////////////////////////////////
#ifndef _ED_MECA_CONTROL_VIEW_HPP_
#define _ED_MECA_CONTROL_VIEW_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CPA_Meca_MyDocument;
class CPA_Meca_Card;
class CPA_Meca_CardType;

//###########################################################################

class CPA_Meca_ControlView : public CFormView
{
public:
	CPA_Meca_ControlView();
	virtual ~CPA_Meca_ControlView();

protected: // create from serialization only
	DECLARE_DYNCREATE(CPA_Meca_ControlView)

// Attributes
public:

protected:

private:

	// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPA_Meca_ControlView)
	public:
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL


// Implementation
public:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	CPA_Meca_MyDocument* m_fn_pclGetDocument();
 
	void m_fn_vUpdateCardsNumber(CPA_Meca_CardType *_pclCardType);
	void m_fn_vUpdateCardsName();

protected:

private:

// Generated message map functions
protected:
	//{{AFX_MSG(CPA_Meca_ControlView)
	afx_msg void OnButtonCreate();
	afx_msg void OnButtonDelete();
	afx_msg void OnButtonRename();
	afx_msg void OnSelchangeComboCardTypes();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButtonCopy();
	afx_msg void OnDestroy();
	//}}AFX_MSG

 	afx_msg BOOL OnToolTipNotify(UINT id, NMHDR * pTTTStruct, LRESULT * pResult);


	DECLARE_MESSAGE_MAP()

friend class CPA_Meca_MyDocument;
};

/////////////////////////////////////////////////////////////////////////////
#endif //_ED_MECA_CONTROL_VIEW_HPP_

